#!/usr/bin/env python

try:
  import gtk, gtk.glade
  import gobject
except:
  print "You do not have python gtk bindings, or you're missin glade libs"
  print "To use Lephisto's resedit you must install them"
  print "http://pygtk.org/"
  raise SystemExit

import space, faction

# Load the factions
factions = faction.Factions()
factions.loadFactions("../../dat/faction.xml")
factions.window()

# Load the universe.
universe = space.Space(factions.data())
universe.loadSystems("../../dat/ssys.xml")
universe.loadPlanets("../../dat/planet.xml")
universe.window()

gtk.main()

